Posts
Update a post
PATCH
/
posts
/
{post}
Update a post
curl --request PATCH \
--url https://tibbie.co/api/v1/posts/{post} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": [
"<string>"
],
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
]
}
'import requests
url = "https://tibbie.co/api/v1/posts/{post}"
payload = {
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": ["<string>"],
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>'],
platforms: [{connected_account_id: 123, content: '<string>'}]
})
};
fetch('https://tibbie.co/api/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>'],
platforms: [{connected_account_id: 123, content: '<string>'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The post ID
Body
application/json
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 21, 2026
Was this page helpful?
⌘I
Update a post
curl --request PATCH \
--url https://tibbie.co/api/v1/posts/{post} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": [
"<string>"
],
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
]
}
'import requests
url = "https://tibbie.co/api/v1/posts/{post}"
payload = {
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": ["<string>"],
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>'],
platforms: [{connected_account_id: 123, content: '<string>'}]
})
};
fetch('https://tibbie.co/api/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>'],
platforms: [{connected_account_id: 123, content: '<string>'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}